{% set route_name = app.request.attributes.get('_route') %}
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <link rel="icon" type="image/x-icon" href="{{ asset('favicon.ico') }}?v=2" />
    <title>BCC - {% block title %}{% endblock %}</title>
    {% block stylesheets %}{{ encore_entry_link_tags('app') }}{% endblock %}
</head>
<body>
<div class="relative min-h-screen bg-white pt-6 px-6 sm:px-6 lg:px-60 overflow-hidden flex flex-col flew-wrap">
    <div class="relative z-40 flex-initial">
        <nav class="relative flex items-center justify-between sm:h-10" aria-label="Global">
            <div class="flex items-center flex-grow flex-shrink-0 lg:flex-grow-0">
                <div class="flex items-center justify-between w-full md:w-auto">
                    <a href="{{ path('home') }}">
                        <span class="sr-only">Workflow</span>
                        <span class="text-2xl sm:text-4xl">💰</span>
                    </a>
                    <div class="-mr-2 flex items-center md:hidden">
                        <button type="button" class="bg-white rounded-md p-2 inline-flex items-center justify-center text-gray-400 hover:text-gray-500 hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-inset focus:ring-indigo-500" id="main-menu" aria-haspopup="true">
                            <span class="sr-only">Open main menu</span>
                            <svg class="h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true">
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16" />
                            </svg>
                        </button>
                    </div>
                </div>
            </div>
            <div class="hidden md:block md:ml-10 md:pr-4 md:space-x-8">
                <a href="{{ path('vente_index') }}" class="font-medium hover:text-gray-900 {% if route_name == "vente_index" %} text-gray-900 border-b-2 border-gray-900 {% else %} text-gray-500 {% endif %}">Ventes</a>

                <a href="{{ path('produit_index') }}" class="font-medium hover:text-gray-900 {% if route_name == "produit_index" %} text-gray-900 border-b-2 border-gray-900 {% else %} text-gray-500 {% endif %}">Produits</a>

                <a href="{{ path('home_infos') }}" class="font-medium hover:text-gray-900 {% if route_name == "home_infos" %} text-gray-900 border-b-2 border-gray-900 {% else %} text-gray-500 {% endif %}">Informations</a>

                <a href="{{ path('app_login') }}" class="font-medium hover:text-yellow-500 {% if route_name == "app_login" %} text-yellow-500 border-b-2 border-yellow-500 {% else %} text-yellow-400 {% endif %}">Se connecter</a>
            </div>
        </nav>
    </div>
    <div class="absolute z-40 top-0 inset-x-0 p-2 transition transform origin-top-right md:hidden">
        <div class="rounded-lg shadow-md bg-white ring-1 ring-black ring-opacity-5 overflow-hidden">
            <div class="px-5 pt-4 flex items-center justify-between">
                <div>
                    <img class="h-8 w-auto" src="https://tailwindui.com/img/logos/workflow-mark-indigo-600.svg" alt="">
                </div>
                <div class="-mr-2">
                    <button type="button" class="bg-white rounded-md p-2 inline-flex items-center justify-center text-gray-400 hover:text-gray-500 hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-inset focus:ring-indigo-500">
                        <span class="sr-only">Close main menu</span>
                        <!-- Heroicon name: x -->
                        <svg class="h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                        </svg>
                    </button>
                </div>
            </div>
            <div role="menu" aria-orientation="vertical" aria-labelledby="main-menu">
                <div class="px-2 pt-2 pb-3 space-y-1" role="none">
                    <a href="#" class="block px-3 py-2 rounded-md text-base font-medium text-gray-700 hover:text-gray-900 hover:bg-gray-50" role="menuitem">Ventes</a>

                    <a href="#" class="block px-3 py-2 rounded-md text-base font-medium text-gray-700 hover:text-gray-900 hover:bg-gray-50" role="menuitem">Produits</a>

                    <a href="#" class="block px-3 py-2 rounded-md text-base font-medium text-gray-700 hover:text-gray-900 hover:bg-gray-50" role="menuitem">Marketplace</a>

                    <a href="#" class="block px-3 py-2 rounded-md text-base font-medium text-gray-700 hover:text-gray-900 hover:bg-gray-50" role="menuitem">Company</a>
                </div>
                <div role="none">
                    <a href="#" class="block w-full px-5 py-3 text-center font-medium text-yellow-300 bg-gray-50 hover:bg-gray-100" role="menuitem">
                        Se connecter
                    </a>
                </div>
            </div>
        </div>
    </div>
    <main class="flex-auto flex flex-col justify-center">

    {% block body %}{% endblock %}

    </main>
</div>
{% block javascripts %}{{ encore_entry_script_tags('app') }}{% endblock %}
</body>
</html>
